@extends('layouts.app')

@section('title-block')Обновление записи@endsection

@section('content')
    <h1>Обновление записи</h1>

    <form action="{{ route('contact-update-submit', $data->id) }}" method="post">
        @csrf

        <div class="form-group">
            <label for="name">Введите имя</label>
            <input type="text" id="name" name="name" value="{{ $data->name }}" placeholder="Введите имя" class="form-control">
        </div>

        <div class="form-group">
            <label for="email">Email</label>
            <input type="text" id="email" name="email" value="{{ $data->email }}" placeholder="Введите email" class="form-control">
        </div>

        <div class="form-group">
            <label for="subject">Тема сообщения</label>
            <input type="text" id="subject" name="subject" value="{{ $data->subject }}" placeholder="Введите тему сообщения" class="form-control">
        </div>

        <div class="form-group">
            <label for="message">Сообщение</label>
            <textarea name="message" id="message" cols="30" rows="10" class="form-control" placeholder="Введите сообщение">{{ $data->message }}</textarea>


        </div>

        <button type="submit" class="btn btn-success">Отправить</button>

    </form>

@endsection
